<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [throwParty](./bitburner.officeapi.throwparty.md)

## OfficeAPI.throwParty() method

Throw a party for your employees

<b>Signature:</b>

```typescript
throwParty(divisionName: string, cityName: string, costPerEmployee: number): Promise<number>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |
|  costPerEmployee | number | Amount to spend per employee. |

<b>Returns:</b>

Promise&lt;number&gt;

Amount of happiness increased.

